aboutsummaryrefslogtreecommitdiff
path: root/media/sound
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-12-02 02:40:24 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-12-02 02:40:24 +0000
commit9aae8ccc87d9acf2971f630e4fb0d991022be4b0 (patch)
tree103be129ef5d62a3f2c2e2a06b87b9dda9120caf /media/sound
parentf02f5893afda05db26a556c3aa22aa8a1224c547 (diff)
downloadslackbuilds-9aae8ccc87d9acf2971f630e4fb0d991022be4b0.tar.gz
slackbuilds-9aae8ccc87d9acf2971f630e4fb0d991022be4b0.tar.bz2
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1486 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/sound')
-rw-r--r--media/sound/jack-audio-connection-kit/jackd.SlackBuild149
-rwxr-xr-xmedia/sound/jack/jack.SlackBuild194
-rw-r--r--media/sound/jack/slack-required7
3 files changed, 111 insertions, 239 deletions
diff --git a/media/sound/jack-audio-connection-kit/jackd.SlackBuild b/media/sound/jack-audio-connection-kit/jackd.SlackBuild
deleted file mode 100644
index 730a2fea..00000000
--- a/media/sound/jack-audio-connection-kit/jackd.SlackBuild
+++ /dev/null
@@ -1,149 +0,0 @@
-#!/bin/bash
-#
-# jackd.SlackBuild is free software; you can redistribute
-# it and/or modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of the License,
-# or any later version.
-#
-# jackd.SlackBuild is distributed in the hope that it will
-# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-# Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
-#
-# slackbuild for jackd, by Rudson R. Alves
-# requires:
-# tested: jackd-0.103.0
-#
-
-# Look for slackbuildrc
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# Set variables
-CWD="$(pwd)"
-SRC_NAME="jack-audio-connection-kit"
-PKG_NAME="jackd"
-ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.103.0}
-PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
-BUILD=${BUILD:=1rra}
-SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
-TMP=${TMP:=/tmp}
-PKG=${PKG:=$TMP/package-$PKG_NAME}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/usr}
-PKG_WORK="$TMP/$SRC_NAME"
-CONF_OPTIONS=${CONF_OPTIONS:="--program-prefix= --program-suffix= --sysconfdir=/etc --localstatedir=/var --enable-freebob"}
-NUMJOBS=${NUMJOBS:="-j7"}
-
-# Set system libraries' path and optmization flags based on $ARCH
-LIBDIR="$PREFIX/lib"
-
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
-fi
-
-# Set error codes (used by createpkg)
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-
-# Clean up any leftovers of previous builds
-rm -rf "$PKG_SRC" 2> /dev/null
-rm -rf "$PKG" 2> /dev/null
-
-# Create directories if necessary
-mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
-mkdir -p "$PKG" || exit $ERROR_MKDIR
-mkdir -p "$REPOS" || exit $ERROR_MKDIR
-mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
-
-# Dowload source if necessary
-SRC="$SRC_NAME-$VERSION.tar.gz"
-URL="http://downloads.sourceforge.net/jack-audio-connection-kit/$SRC"
-
-if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-
-# Untar
-cd "$PKG_WORK"
-tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC=`ls -l | awk '/^d/ { print $8 }'`
-cd "$PKG_SRC"
-
-# Configure
-CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
-
-# Compile
-make $NUMJOBS || exit $ERROR_MAKE
-
-# Install
-make install DESTDIR="$PKG" || exit $ERROR_INSTALL
-
-# Strip binaries
-( cd "$PKG"
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
-
-# Install documentation
-DOCS="AUTHORS COPYING COPYING.GPL COPYING.LGPL README TODO"
-mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
-cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
-
-# Add package description (slack-desc)
-mkdir -p "$PKG/install" || exit $ERROR_MKDIR
-cat << EODESC > "$PKG/install/slack-desc"
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler--------------------------------------------------------|
-jack-audio-connection-kit: jack-audio-connection-kit by Slack.Sarava
-jack-audio-connection-kit:
-jack-audio-connection-kit: JACK is a low-latency audio server, written for
-jack-audio-connection-kit: POSIX conformant operating systems such as GNU/Linux
-jack-audio-connection-kit: and Apple's OS X. It can connect a number of
-jack-audio-connection-kit: different applications to an audio device, as well
-jack-audio-connection-kit: as allowing them to share audio between themselves.
-jack-audio-connection-kit: Its clients can run in their own processes (ie. as
-jack-audio-connection-kit: normal applications), or can they can run within the
-jack-audio-connection-kit: JACK server (ie. as a "plugin").
-jack-audio-connection-kit:
-EODESC
-
-# Build the package
-cd "$PKG"
-makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
-
-# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf "$PKG_SRC" "$PKG"
-fi
diff --git a/media/sound/jack/jack.SlackBuild b/media/sound/jack/jack.SlackBuild
index 8e69cf42..63d87f0d 100755
--- a/media/sound/jack/jack.SlackBuild
+++ b/media/sound/jack/jack.SlackBuild
@@ -1,100 +1,123 @@
#!/bin/bash
#
-# jack.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# jack.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# jack.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# jack.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# slackbuild script for jack
-# by rhatto at riseup.net
+# slackbuild for jack, by Rudson R. Alves
+# requires: libsndfile libfreebob
+# tested: jack-0.103.0
#
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building jack are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
+# Look for slackbuildrc
if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# default settings
-PACKAGE="jack"
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="jack-audio-connection-kit"
+PKG_NAME="jack"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.103.0}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
+SRC_VERSION=${VERSION:=0.103.0}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:="--enable-freebob --program-prefix= --program-suffix= --sysconfdir=/etc --localstatedir=/var"}
+NUMJOBS=${NUMJOBS:="-j7"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
fi
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-audio-connection-kit-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/jackit/$SRC"
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-audio-connection-kit-$VERSION
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://downloads.sourceforge.net/jack-audio-connection-kit/$SRC"
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-./configure --enable-freebob --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC=`ls -l | awk '/^d/ { print $8 }'`
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="AUTHORS COPYING COPYING.GPL COPYING.LGPL README TODO"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
@@ -102,30 +125,25 @@ cat << EOF > install/slack-desc
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
-jack: jack (jack audio connection kit)
+ |-----handy-ruler---------------------------------------------------------|
+jack: jack-audio-connection-kit by Slack.Sarava
jack:
jack: JACK is a low-latency audio server, written for POSIX conformant
-jack: operating systems such as GNU/Linux and Apple's OS X. It can connect
-jack: a number of different applications to an audio device, as well as
-jack: allowing them to share audio between themselves. Its clients can run
-jack: in their own processes (ie. as normal applications), or can they can
-jack: run within the JACK server (ie. as a "plugin").
+jack: operating systems such as GNU/Linux and Apple's OS X. It can connect a
+jack: number of different applications to an audio device, as well as allowing
+jack: them to share audio between themselves.
jack:
-jack:
+jack: Its clients can run in their own processes (ie. as normal applications),
+jack: or can they can run within the JACK server (ie. as a "plugin").
jack:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING COPYING.GPL COPYING.LGPL README TODO; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
+jack:
+EODESC
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
+ rm -rf "$PKG_SRC" "$PKG"
fi
-
diff --git a/media/sound/jack/slack-required b/media/sound/jack/slack-required
index c798c8a3..3505a311 100644
--- a/media/sound/jack/slack-required
+++ b/media/sound/jack/slack-required
@@ -1,2 +1,5 @@
-libsndfile
-libfreebob
+# Dependency list to jack-audio-connection-kit
+#
+# dependency [condition] [version]]
+libsndfile
+libfreebob